Index: src/daemon/driver/driverControlers.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/daemon/driver/driverControlers.ml,v
retrieving revision 1.68
diff -u -u -w -r1.68 driverControlers.ml
--- src/daemon/driver/driverControlers.ml	18 May 2006 17:28:44 -0000	1.68
+++ src/daemon/driver/driverControlers.ml	19 May 2006 21:58:19 -0000
@@ -37,15 +37,13 @@
 open CommonOptions
 open CommonUserDb
 
-(* prints a new logline with date, module and starts newline *)
-let lprintf_nl () =
-  lprintf "%s[dCon] "
-    (log_time ()); lprintf_nl2
-
-(* prints a new logline with date, module and does not start newline *)
-let lprintf_n () =
-  lprintf "%s[dCon] "
-    (log_time ()); lprintf
+let log_prefix = "[dCon]"
+
+let lprintf_nl fmt =
+  lprintf_nl2 log_prefix fmt
+
+let lprintf_n fmt =
+  lprintf2 log_prefix fmt
 
 let rec dollar_escape o with_frames s =
   String2.convert false (fun b escaped c ->
@@ -317,7 +315,7 @@
         if valid_password user pass then begin
             auth := true;
             o.conn_user <- find_ui_user user;
-            lprintf_nl () "Authenticated user: %s" user;
+            lprintf_nl "Authenticated user: %s" user;
             let module M = CommonMessages in
             Buffer.add_string buf M.full_access
           end else
@@ -350,9 +348,9 @@
   List.iter (fun (days, hours, command) ->
       if (List.mem tm.Unix.tm_wday days || days = []) &&
         (List.mem tm.Unix.tm_hour hours || hours = []) then begin
-          lprintf_nl () "Calendar execute: %s" command;
+          lprintf_nl "Calendar execute: %s" command;
           eval (ref true) command calendar_options;
-          lprintf_nl () "Calendar result: %s" (Buffer.contents calendar_options.conn_buf);
+          lprintf_nl "Calendar result: %s" (Buffer.contents calendar_options.conn_buf);
           Buffer.reset calendar_options.conn_buf;
         end
   ) !!calendar
@@ -573,7 +571,7 @@
   match event with
     TcpServerSocket.CONNECTION (s, Unix.ADDR_INET (from_ip, from_port)) ->
       let from_ip = Ip.of_inet_addr from_ip in
-        lprintf_nl () "Telnet connection from %s" (Ip.to_string from_ip);
+        lprintf_nl "Telnet connection from %s" (Ip.to_string from_ip);
         let token = create_token unlimited_connection_manager in
         let sock = TcpBufferedSocket.create_simple token
           "telnet connection"
@@ -620,7 +618,7 @@
 	in
 	TcpBufferedSocket.write_string sock (dollar_escape o false reject_message);
 	shutdown sock Closed_connect_failed;
-	lprintf_n () "%s" reject_message;
+  lprintf_n "%s" reject_message;
 	Unix.close s
       end
 
@@ -696,7 +694,7 @@
            Unix.close s
      with
        Failure mess ->
-         lprintf_nl () "%s" mess;
+         lprintf_nl "%s" mess;
          Unix.close s
     )
   | _ ->
@@ -907,7 +905,7 @@
   let ext_pos = (String.rindex filename '.') + 1 in
   let exten = (String.sub filename ext_pos ((String.length filename) - ext_pos)) in
   if !verbose_msg_servers then
-    lprintf_nl () "Extension found [%s] for file: [%s]" exten filename;
+    lprintf_nl "Extension found [%s] for file: [%s]" exten filename;
   let ext = extension_to_file_ext exten in
   http_add_bin_header r ext clen;
   Buffer.add_string buf file_to_send
@@ -917,15 +915,15 @@
     "jpg" ->
       (match Autoconf.has_gd_jpg with
         true -> false
-      | false -> lprintf_nl () "Warning: GD jpg support disabled"; true)
+      | false -> lprintf_nl "Warning: GD jpg support disabled"; true)
   | "png" ->
       (match Autoconf.has_gd_png with
         true -> false
-      | false -> lprintf_nl () "Warning: GD png support disabled"; true)
+      | false -> lprintf_nl "Warning: GD png support disabled"; true)
   | _ ->
       (match Autoconf.has_gd with
         true -> false
-      | false -> lprintf_nl () "Warning: GD support disabled"; true)
+      | false -> lprintf_nl "Warning: GD support disabled"; true)
 let any_ip = Ip.of_inet_addr Unix.inet_addr_any
 
 let html_open_page buf t r open_body =
@@ -1266,7 +1264,7 @@
 
         | "favicon.ico" ->
             if !verbose_msg_servers then
-              lprintf_nl () "favicon.ico request received by tracker";
+              lprintf_nl "favicon.ico request received by tracker";
             http_send_bin r buf "favicon.ico"
 
         | "filter" ->
@@ -1465,7 +1463,7 @@
 
               | args ->
                   List.iter (fun (s,v) ->
-                      lprintf_nl () "[%s]=[%s]" (String.escaped s) (String.escaped v))
+                      lprintf_nl "[%s]=[%s]" (String.escaped s) (String.escaped v))
                   args;
                   raise Not_found
             end
@@ -1485,7 +1483,7 @@
 
               | args ->
                   List.iter (fun (s,v) ->
-                      lprintf_nl () "[%s]=[%s]" (String.escaped s) (String.escaped v))
+                      lprintf_nl "[%s]=[%s]" (String.escaped s) (String.escaped v))
                   args;
                   raise Not_found
             end
@@ -1503,7 +1501,7 @@
 		  let exten = Filename2.last_extension impl.impl_shared_codedname in
 		  if not (Sys.file_exists filename) then
 		    begin
-		      lprintf_nl () "file %s not found" filename;
+          lprintf_nl "file %s not found" filename;
 		      raise Not_found
 		    end;
 		  let fd = Unix32.create_ro filename in
@@ -1512,7 +1510,7 @@
 
               | args ->
                   List.iter (fun (s,v) ->
-                      lprintf_nl () "[%s]=[%s]" (String.escaped s) (String.escaped v))
+                      lprintf_nl "[%s]=[%s]" (String.escaped s) (String.escaped v))
                   args;
                   raise Not_found
             end
Index: src/daemon/driver/driverInteractive.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/daemon/driver/driverInteractive.ml,v
retrieving revision 1.75
diff -u -u -w -r1.75 driverInteractive.ml
--- src/daemon/driver/driverInteractive.ml	18 May 2006 17:28:44 -0000	1.75
+++ src/daemon/driver/driverInteractive.ml	19 May 2006 21:58:19 -0000
@@ -38,15 +38,13 @@
 open CommonTypes
 open Int64ops
 
-(* prints a new logline with date, module and starts newline *)
-let lprintf_nl () =
-  lprintf "%s"
-    (log_time ()); lprintf_nl2
-
-(* prints a new logline with date, module and does not start newline *)
-let lprintf_n () =
-  lprintf "%s"
-    (log_time ()); lprintf
+let log_prefix = "[dIve]"
+
+let lprintf_nl fmt =
+  lprintf_nl2 log_prefix fmt
+
+let lprintf_n fmt =
+  lprintf2 log_prefix fmt
 
 let verify_user_admin () =
   let empty_pwd = ref false in
@@ -54,7 +52,7 @@
     if user2_password admin_user = blank_password then
       empty_pwd := true
     with e ->
-      lprintf_nl () "SECURITY INFO: user 'admin' has to be present, creating...";
+      lprintf_nl "SECURITY INFO: user 'admin' has to be present, creating...";
       empty_pwd := true;
       ignore (user2_add admin_user blank_password "")
   end;
@@ -63,7 +61,7 @@
   in
   if !empty_pwd && not !!enable_user_config then
     begin
-      lprintf_n () "%s" warning;
+      lprintf_n "%s" warning;
       warning
     end
   else ""
@@ -72,7 +70,7 @@
   let uname = Unix32.uname () in
   let message = Printf.sprintf "MLDonkey is not able to run faultless under %s" uname; in
   if uname <> "" && not (Unix32.os_supported ()) then begin
-    lprintf_nl () "%s" message;
+    lprintf_nl "%s" message;
     message;
   end
   else ""
@@ -127,7 +125,7 @@
 
 let file_magic_check () =
   if !Autoconf.magic_works then begin
-    if !verbose then lprintf_nl () "computing file magic values";
+    if !verbose then lprintf_nl "computing file magic values";
     let check_magic file =
       match Magic.M.magic_fileinfo (file_disk_name file) false with
         None -> ()
Index: src/daemon/driver/driverInterface.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/daemon/driver/driverInterface.ml,v
retrieving revision 1.43
diff -u -u -w -r1.43 driverInterface.ml
--- src/daemon/driver/driverInterface.ml	17 May 2006 08:52:43 -0000	1.43
+++ src/daemon/driver/driverInterface.ml	19 May 2006 21:58:19 -0000
@@ -43,10 +43,14 @@
 open CommonUserDb
 
 module P = GuiProto
-let lprintf_nl () =
-  lprintf "%s[dIface] "
-    (log_time ()); lprintf_nl2
 
+let log_prefix = "[dIface]"
+
+let lprintf_nl fmt =
+  lprintf_nl2 log_prefix fmt
+
+let lprintf_n fmt =
+  lprintf2 log_prefix fmt
 
 let binary_gui_send gui t =
   match gui.gui_sock with
@@ -533,7 +537,7 @@
           (to_gui_last_opcode + 1) version;
         gui.gui_proto_from_gui_version <- Array.create 
           (from_gui_last_opcode + 1) version;
-        lprintf_nl () "GUI protocol %d" version    
+        lprintf_nl "GUI protocol %d" version    
     
     | P.GuiExtensions list ->
         List.iter (fun (ext, bool) ->
@@ -565,12 +569,12 @@
     
     | P.Password (user, pass) ->
         begin
-          lprintf_nl () "GUI connection from user %s" user;
+          lprintf_nl "GUI connection from user %s" user;
           match gui.gui_sock with
             Some sock when not (valid_password user pass) ->
               gui_send gui BadPassword;                  
               set_lifetime sock 5.;
-              lprintf_nl () "GUI connection BAD PASSWORD for user %s" user; 
+              lprintf_nl "GUI connection BAD PASSWORD for user %s" user; 
               TcpBufferedSocket.close sock (Closed_for_error "Bad Password")
           
           | _ ->
@@ -1168,7 +1172,7 @@
   match event with
     TcpServerSocket.CONNECTION (s, Unix.ADDR_INET (from_ip, from_port)) ->
       let from_ip = Ip.of_inet_addr from_ip in
-      lprintf_nl () "GUI connection from %s" (Ip.to_string from_ip);
+      lprintf_nl "GUI connection from %s" (Ip.to_string from_ip);
       if Ip.matches from_ip !!allowed_ips then 
         
         let module P = GuiProto in
@@ -1197,7 +1201,7 @@
         (* sort GUIs in increasing order of their num *)
         
       else begin
-          lprintf_nl () "GUI connection from %s rejected (see allowed_ips setting)"
+          lprintf_nl "GUI connection from %s rejected (see allowed_ips setting)"
             (Ip.to_string from_ip);
           Unix.close s
         end
Index: src/daemon/driver/driverMain.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/daemon/driver/driverMain.ml,v
retrieving revision 1.107
diff -u -u -w -r1.107 driverMain.ml
--- src/daemon/driver/driverMain.ml	12 May 2006 21:08:30 -0000	1.107
+++ src/daemon/driver/driverMain.ml	19 May 2006 21:58:19 -0000
@@ -51,15 +51,14 @@
 let _s x = _s "DriverMain" x
 let _b x = _b "DriverMain" x
 
-(* prints a new logline with date, module and starts newline *)
-let lprintf_nl () =
-  lprintf "%s"
-    (log_time ()); lprintf_nl2
-
-(* prints a new logline with date, module and does not start newline *)
-let lprintf_n () =
-  lprintf "%s"
-    (log_time ()); lprintf
+let log_prefix = "[dMain]"
+
+let lprintf_nl fmt =
+  lprintf_nl2 log_prefix fmt
+
+let lprintf_n fmt =
+  lprintf2 log_prefix fmt
+
 
 let keep_console_output = ref false
 let pid = ref ""
@@ -99,11 +98,11 @@
   (try
       update_link_stats ()
     with e ->
-        lprintf_nl () (_b "Exception %s") (Printexc2.to_string e));
+        lprintf_nl (_b "Exception %s") (Printexc2.to_string e));
 	  (try
      CommonUploads.refill_upload_slots ()
    with e ->
-        lprintf_nl () (_b "Exception %s") (Printexc2.to_string e));
+        lprintf_nl (_b "Exception %s") (Printexc2.to_string e));
   CommonUploads.reset_upload_timer ();
   CommonUploads.shared_files_timer ();
   ()
@@ -114,7 +113,7 @@
   if !!http_port <> 0 then begin try
         ignore (DriverControlers.create_http_handler ());
       with e ->
-          lprintf_nl () (_b "Exception %s while starting HTTP interface")
+          lprintf_nl (_b "Exception %s while starting HTTP interface")
             (Printexc2.to_string e);
     end;
 
@@ -144,7 +143,7 @@
 let _ =
   CommonWeb.add_web_kind "motd.html" "Information of the day in HTML format" 
     (fun _ filename ->
-      lprintf_nl () (_b "motd.html changed");
+      lprintf_nl (_b "motd.html changed");
     motd_html =:= File.to_string filename
   );
   CommonWeb.add_web_kind "motd.conf" "Setup changes of the day" 
@@ -164,12 +163,12 @@
 	      | "del_item" ->
 		  CommonInteractive.del_item_from_fully_qualified_options name value
 	      | _ ->
-		  lprintf_nl () (_b "UNUSED LINE: %s") line
+      lprintf_nl (_b "UNUSED LINE: %s") line
 	  done
 	with End_of_file -> ())
     with
 	e -> 
-	  lprintf_nl () (_b "Error while reading motd.conf(%s): %s") filename
+    lprintf_nl (_b "Error while reading motd.conf(%s): %s") filename
 	    (Printexc2.to_string e)
   )
 
@@ -261,7 +260,7 @@
   in
   if not exists_users_ini && exists_downloads_ini then
     begin
-      lprintf_nl () "No config file (users.ini) found. Importing users from downloads.ini.";
+      lprintf_nl "No config file (users.ini) found. Importing users from downloads.ini.";
       ( try Unix2.copy "downloads.ini" "users.ini" with _ -> () );
     end;
 
@@ -273,7 +272,7 @@
       ignore (DriverInteractive.verify_user_admin ());
       DriverInteractive.hdd_check ()
     with e ->
-        lprintf_nl () "Exception %s during options load" (Printexc2.to_string e);
+        lprintf_nl "Exception %s during options load" (Printexc2.to_string e);
         exit 70);
 
   (* Here, we try to update options when a new version of mldonkey is
@@ -321,14 +320,14 @@
 
   Arg.parse ([
       "-v", Arg.Unit (fun _ ->
-          lprintf_nl () "%s" (CommonGlobals.version ());
+          lprintf_nl "%s" (CommonGlobals.version ());
           exit 0), _s " : print version number and exit";
       "-exit", Arg.Unit (fun _ -> exit 0), ": exit immediatly";
       "-format", Arg.String (fun file ->
           ignore (CommonMultimedia.get_info file)),
           _s  " <filename> : check file format";
       "-test_ip", Arg.String (fun ip ->
-          lprintf_nl () "%s = %s" ip (Ip.to_string (Ip.of_string ip));
+          lprintf_nl "%s = %s" ip (Ip.to_string (Ip.of_string ip));
           exit 0), _s "<ip> : undocumented";
       "-check_impl", Arg.Unit (fun _ ->
           CommonNetwork.check_network_implementations ();
@@ -351,7 +350,7 @@
        _s ": keep output to stderr after startup";
       "-daemon", Arg.Unit (fun _ ->
           (* Removed due to savannah bug #11514 . *)
-          lprintf_nl () "\n\nOption -daemon was removed.\nUse 'mlnet > /dev/null 2>&1 &' instead. Exiting...";
+          lprintf_nl "\n\nOption -daemon was removed.\nUse 'mlnet > /dev/null 2>&1 &' instead. Exiting...";
           exit 64), _s " : this argument was removed, core will exit";
       "-find_port", Arg.Set find_other_port,
       _s " : find another port when one is already used";
@@ -388,8 +387,8 @@
   let t = Unix.localtime (Unix.time ()) in
   if (t.Unix.tm_year<=104) then
     begin
-      lprintf_nl () (_b "\n\n\nYour system has a system date earlier than 2004, please correct it.");
-      lprintf_nl () (_b "MLdonkey can not work with such a system date, exiting...");
+      lprintf_nl (_b "\n\n\nYour system has a system date earlier than 2004, please correct it.");
+      lprintf_nl (_b "MLdonkey can not work with such a system date, exiting...");
       CommonGlobals.exit_properly 71
     end;
 
@@ -423,12 +422,12 @@
       if Magic.M.magic_works () then
         begin
 	  Autoconf.magic_works := true;
-          lprintf_nl () (_b "Libmagic file-type recognition database present")
+          lprintf_nl (_b "Libmagic file-type recognition database present")
 	end
       else
         begin
 	  Autoconf.magic_works := false;
-          lprintf_nl () (_b "Libmagic file-type recognition database not present")
+          lprintf_nl (_b "Libmagic file-type recognition database not present")
 	end
   );
   load_config ();
@@ -450,7 +449,7 @@
   end;
 
 (*  lprintf "(3) networks_iter load_complex_options\n"; *)
-  lprintf_nl () (_b "Check http://www.mldonkey.net/ for updates");
+  lprintf_nl (_b "Check http://www.mldonkey.net/ for updates");
   networks_iter (fun r -> network_load_complex_options r);
   lprintf (_b "%senabling networks: ") (log_time ());
   networks_iter (fun r ->
@@ -502,17 +501,17 @@
   Options.prune_file users_ini;
 (*  Options.prune_file downloads_expert_ini; *)
   add_timer 5. (fun _ -> try CommonWeb.load_web_infos true with _ -> ());
-  lprintf_nl ()  (_b "To command: telnet %s %d")
+  lprintf_nl  (_b "To command: telnet %s %d")
 	(if !!telnet_bind_addr = Ip.any then "127.0.0.1"
 		else Ip.to_string !!telnet_bind_addr)  !!telnet_port;
-  lprintf_nl ()  (_b "Or with browser: http://%s:%d")
+  lprintf_nl  (_b "Or with browser: http://%s:%d")
 	(if !!http_bind_addr = Ip.any then "127.0.0.1"
 		else Ip.to_string !!http_bind_addr)  !!http_port;
-  lprintf_nl ()  (_b "For a GUI check out http://sancho-gui.sourceforge.net");
-  lprintf_nl ()  (_b "Connect to IP %s, port %d")
+  lprintf_nl  (_b "For a GUI check out http://sancho-gui.sourceforge.net");
+  lprintf_nl  (_b "Connect to IP %s, port %d")
 	(if !!gui_bind_addr = Ip.any then "127.0.0.1"
 		else Ip.to_string !!gui_bind_addr)  !!gui_port;
-  lprintf_nl ()  (_b "If you connect from a remote machine adjust allowed_ips");
+  lprintf_nl  (_b "If you connect from a remote machine adjust allowed_ips");
   if Autoconf.system = "cygwin" && not !keep_console_output then lprintf (_b "%s") win_message;
 
   add_init_hook (fun _ ->
@@ -527,7 +526,7 @@
             Sys.file_exists asker then
             ignore (Sys.command (Printf.sprintf "%s %s&" asker !!mldonkey_gui));
         with Not_found ->
-            lprintf_nl () (_b "Not running under X, not trying to start the GUI")
+            lprintf_nl (_b "Not running under X, not trying to start the GUI")
             );
   );
 
@@ -536,9 +535,9 @@
         let new_pw = Unix.getpwnam !!run_as_user in
         MlUnix.setuid new_pw.Unix.pw_uid;
         let pw = Unix.getpwuid (Unix.getuid()) in
-        lprintf_nl () (_b "mldonkey is now running as user %s") pw.Unix.pw_name;
+        lprintf_nl (_b "mldonkey is now running as user %s") pw.Unix.pw_name;
       with e ->
-          lprintf_nl () (_b "Exception %s trying to set user_uid [%s]")
+          lprintf_nl (_b "Exception %s trying to set user_uid [%s]")
           (Printexc2.to_string e) !!run_as_user;
           exit 67
     end;
@@ -546,9 +545,9 @@
   if !!run_as_useruid <> 0 then begin
       try
         MlUnix.setuid !!run_as_useruid;
-        lprintf_nl () (_b "mldonkey is now running as uid %d")  !!run_as_useruid;
+        lprintf_nl (_b "mldonkey is now running as uid %d")  !!run_as_useruid;
       with e ->
-          lprintf_nl () (_b "Exception %s trying to set user_uid [%d]")
+          lprintf_nl (_b "Exception %s trying to set user_uid [%d]")
           (Printexc2.to_string e) !!run_as_useruid;
           exit 67
     end;
@@ -559,42 +558,42 @@
 
   if not Autoconf.windows then
     MlUnix.set_signal  Sys.sigchld
-      (Sys.Signal_handle (fun _ -> if !verbose then lprintf_nl () "Received SIGCHLD, doing nothing"));
+      (Sys.Signal_handle (fun _ -> if !verbose then lprintf_nl "Received SIGCHLD, doing nothing"));
 
   if not Autoconf.windows then
     MlUnix.set_signal  Sys.sighup
       (Sys.Signal_handle (fun _ ->
-	 lprintf_nl () "Received SIGHUP, closing all files/sockets";
+   lprintf_nl "Received SIGHUP, closing all files/sockets";
          BasicSocket.close_all ();
 	 Unix32.close_all ()
          ));
 
   if not Autoconf.windows then
     MlUnix.set_signal  Sys.sigpipe
-      (Sys.Signal_handle (fun _ -> if !verbose then lprintf_nl () "Received SIGPIPE, doing nothing"));
+      (Sys.Signal_handle (fun _ -> if !verbose then lprintf_nl "Received SIGPIPE, doing nothing"));
 
   MlUnix.set_signal  Sys.sigint
-    (Sys.Signal_handle (fun _ -> lprintf_nl () "Received SIGINT, stopping MLDonkey...";
+    (Sys.Signal_handle (fun _ -> lprintf_nl "Received SIGINT, stopping MLDonkey...";
         CommonInteractive.clean_exit 0));
 
   MlUnix.set_signal  Sys.sigterm
-    (Sys.Signal_handle (fun _ -> lprintf_nl () "Received SIGTERM, stopping MLDonkey...";
+    (Sys.Signal_handle (fun _ -> lprintf_nl "Received SIGTERM, stopping MLDonkey...";
         CommonInteractive.clean_exit 0));
 
   if not Autoconf.windows then
   MlUnix.set_signal  Sys.sigusr1
-    (Sys.Signal_handle (fun _ -> lprintf_nl () "Received SIGUSR1, saving options...";
+    (Sys.Signal_handle (fun _ -> lprintf_nl "Received SIGUSR1, saving options...";
         DriverInteractive.save_config ()));
 
   if not Autoconf.windows then
   MlUnix.set_signal  Sys.sigusr2
     (Sys.Signal_handle (fun _ ->
-	lprintf_n () "Received SIGUSR2, starting garbage collection...";
+  lprintf_n "Received SIGUSR2, starting garbage collection...";
 	Gc.compact ();
 	lprintf " finished";
 	lprint_newline ()));
 
-  if !verbose then lprintf_nl () (_b "Activated system signal handling")
+  if !verbose then lprintf_nl (_b "Activated system signal handling")
 
 let _ =
   let security_space_filename = "config_files_space.tmp" in
@@ -617,9 +616,9 @@
       in
       Unix32.close security_space_fd;
     with _ ->
-        lprintf_nl () (_b "Cannot create Security space file:");
-        lprintf_nl () (_b " not enough space on device or bad permissions");
-        lprintf_nl () (_b "Exiting...");
+        lprintf_nl (_b "Cannot create Security space file:");
+        lprintf_nl (_b " not enough space on device or bad permissions");
+        lprintf_nl (_b "Exiting...");
         exit 73;
   end;
   Unix32.external_start ();
@@ -635,7 +634,7 @@
     Unix2.tryopen_write pid_file (fun oc -> output_string oc s);
     CommonGlobals.do_at_exit (fun _ -> try Sys.remove pid_file with _ -> ());
     if !verbose then
-      lprintf_nl () (_b "Starting with pid %s") (string_of_int(Unix.getpid ()))
+      lprintf_nl (_b "Starting with pid %s") (string_of_int(Unix.getpid ()))
   );
 
 (* When a core is spawned from a gui, the only way to know the startup has
@@ -648,7 +647,7 @@
       with _ -> ()
     end;
 
-  lprintf_nl () (_b "Core started");
+  lprintf_nl (_b "Core started");
   core_included := true;
 
   CommonGlobals.do_at_exit (fun _ ->
@@ -657,7 +656,7 @@
       (try
          BasicSocket.close_all ();
        with e ->
-           lprintf_nl () "Exception %s in do_at_exit while closing sockets."
+           lprintf_nl "Exception %s in do_at_exit while closing sockets."
              (Printexc2.to_string e);
       );
       DriverGraphics.G.remove_files ();
@@ -670,14 +669,14 @@
       CommonComplexOptions.backup_options ();
       Geoip.close ();
       Unix32.external_exit ();
-      lprintf_nl () (_b "Core stopped")
+      lprintf_nl (_b "Core stopped")
     );
 
   if not !keep_console_output then
     if !!log_file = "" then 
       begin
-        lprintf_nl () (_b "Option log_file is empty, disable logging completely...");
-        lprintf_nl () (_b "Disabling output to console, to enable: stdout true");
+        lprintf_nl (_b "Option log_file is empty, disable logging completely...");
+        lprintf_nl (_b "Disabling output to console, to enable: stdout true");
 	log_to_file stdout;
         close_log ()
       end
Index: src/networks/bittorrent/bTChooser.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/bittorrent/bTChooser.ml,v
retrieving revision 1.11
diff -u -u -w -r1.11 bTChooser.ml
--- src/networks/bittorrent/bTChooser.ml	9 Apr 2006 00:27:03 -0000	1.11
+++ src/networks/bittorrent/bTChooser.ml	19 May 2006 21:58:26 -0000
@@ -32,16 +32,6 @@
 open BTOptions
 open BTGlobals
 
-(* prints a new logline with date, module and starts newline *)
-let lprintf_nl () =
-  lprintf "%s[BT] "
-    (log_time ()); lprintf_nl2
-
-(* prints a new logline with date, module and does not start newline *)
-let lprintf_n () =
-  lprintf "%s[BT] "
-    (log_time ()); lprintf
-
 (*given some files choose the next uploaders based on their behavior
   Will choose max_uploaders_per_torrent uploaders for each file in list
   fun_comp is the function use to classify clients
@@ -67,7 +57,7 @@
             possible_uploaders := (c::!possible_uploaders);
           end )  f.file_clients;
       if !verbose_upload then
-          lprintf_nl () "clients num %d as possible uploaders for file %s" (List.length !possible_uploaders) f.file_name;
+          lprintf_nl "clients num %d as possible uploaders for file %s" (List.length !possible_uploaders) f.file_name;
       (*Interested clients with a connection*)
       let filtl = List.filter (fun c -> c.client_interested == true
             && (c.client_sock != NoConnection)
@@ -91,12 +81,12 @@
       full_list := !full_list @ to_add;
       if !verbose_upload then
         begin
-          lprintf_n () "potential uploaders count: %d list: [" (List.length to_add);
+          lprintf_n "potential uploaders count: %d list: [" (List.length to_add);
           List.iter (fun cr ->
               let (ip,port) = cr.client_host in
                   lprintf " %s:%d" (Ip.to_string ip) port;
              ) to_add;
-          lprintf_nl2 " ]";
+          lprintf " ]\n";
         end;
 
   ) files;
@@ -146,24 +136,24 @@
   begin
     if !verbose_upload then
         begin
-          lprintf_n () "next_uploaders: %d list: [" (List.length next_uploaders);
+          lprintf_n "next_uploaders: %d list: [" (List.length next_uploaders);
           List.iter (fun cr ->
               let (ip,port) = cr.client_host in
                   lprintf " %s:%d" (Ip.to_string ip) port;
              ) next_uploaders;
-          lprintf_nl2 " ]";
+          lprintf " ]\n";
         end;
     if (List.length next_uploaders) > !!max_bt_uploaders then
         let keep,rest = List2.cut !!max_bt_uploaders next_uploaders in
         begin
           if !verbose_upload then
              begin
-               lprintf_n () "cut next_uploaders: %d list: [" (List.length keep);
+               lprintf_n "cut next_uploaders: %d list: [" (List.length keep);
                List.iter (fun cr ->
                     let (ip,port) = cr.client_host in
                         lprintf " %s:%d" (Ip.to_string ip) port;
                    ) keep;
-               lprintf_nl2 " ]";
+               lprintf " ]\n";
              end;
           keep
         end
